///////////////////////////////////////////////////////////////////////////////
//                                                         
// CmdExeTest.cc
// ---------------
// CommandExecuter class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "CommandExecuter.h"
#include "Chain.h"


int main(int argc, char **argv)
{

    int numCheck = 1;
    int checkCount = 1;
    
    try
    {

	cout << "1.." << numCheck << endl;
	
	CommandExecuter ce;
	
	Chain r;
	int retCode = ce.execute("./versiontest > /dev/null", 10);
	
	cout << "ok " << checkCount << " - ReturnCode = " << retCode << endl;
	checkCount++;

	
    }
    catch (Exception e)
    {
	Chain msg;
	e.pop(msg);
	cout << "not ok " << checkCount << " - " << msg << endl;
	return 1;
    }

    return 0;


}

