///////////////////////////////////////////////////////////////////////////////
//                                                         
// ShmTest.cc
// ----------
// Shared Meory class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "SharedMemory.h"


int main(int argc, char **argv)
{


    int numCheck = 1;
    int checkCount = 1;
    
    try
    {
	
	cout << "1.." << numCheck << endl;

	SharedMemory myMem(12345);
	myMem.create(10000);
	char* ptr = (char*)myMem.getAddr();
	int id = myMem.getId();
	// myMem.printInfo();
	
	myMem.detach();
	myMem.attach();
	myMem.destroy();

	cout << "ok " << checkCount << " - directory entry" << endl;
	checkCount++;
	
      
    }

    catch (Exception e)
    {
	Chain msg;
	e.pop(msg);
	cout << "not ok " << checkCount << " - " << msg << endl;
	return 1;
    }
    
    return 0;

}

